%define module  Template-Toolkit
%define name	perl-%{module}
%define version 2.14
%define release 3mdk
%define _provides_exceptions perl(CGI)\\|perl(XML::DOM::Element)\\|perl(XML::DOM::Node)\\|perl(XML::XPath::Node::Comment)\\|perl(XML::XPath::Node::Element)\\|perl(XML::XPath::Node::Text)

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	%{module} module for perl
License:	GPL
Group:		Development/Perl
Source:		http://www.template-toolkit.org/download/%{module}-%{version}.tar.bz2
URL:		http://www.template-toolkit.org
Requires:	perl >= 0:5.600
BuildRequires:	perl-devel >= 0:5.600
BuildRequires:	perl-Text-Autoformat >= 1.03
BuildRequires:	perl-AppConfig >= 1.52
BuildRequires:	perl-Tie-DBI >= 0.86
BuildRequires:	perl-GD-Graph3d >= 0.55
BuildRequires:	perl-Pod-POM >= 0.1
BuildRequires:	perl-XML-RSS >= 0.9
BuildRequires:	perl-XML-XPath >= 1.00
BuildRoot:	%{_tmppath}/%{name}-%{version}
Obsoletes:	perl-Template
Provides:	perl-Template

%description
The Template Toolkit is a collection of modules which implement a
fast, flexible, powerful and extensible template processing system.
It was originally designed and remains primarily useful for generating
dynamic web content, but it can be used equally well for processing
any other kind of text based documents: HTML, XML, POD, PostScript,
LaTeX, and so on.

%prep
%setup -q -n %{module}-%{version}

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL \
    TT_PREFIX=%{_datadir}/tt2 \
    TT_IMAGES=%{_datadir}/tt2/images \
    TT_DOCS="y" \
    TT_SPLASH="y" \
    TT_THEME="aqua" \
    TT_EXAMPLES="y" \
    TT_XS_ENABLE="y" \
    TT_XS_DEFAULT="y" \
    TT_DBI="y" \
    TT_ACCEPT=y \
    INSTALLDIRS=vendor </dev/null
%make

%install
rm -rf %{buildroot} 

# ugly hack, begin
find -name "ttree.cfg" | xargs perl -p -i -e "s|%{_datadir}|%{buildroot}%{_datadir}|g"

make install destdir=%{buildroot}%{_datadir}/tt2 \
    PREFIX=%{buildroot}%{_prefix} \
    TT_PREFIX="%{buildroot}%{_datadir}/tt2"

# ugly hack, end
find %{buildroot}%{_datadir}/tt2 -name "ttree.cfg" | xargs perl -p -i -e "s|%{buildroot}%{_datadir}|%{_datadir}|g"

# maybe the "%{_datadir}/tt2/docs" and "%{_datadir}/tt2/examples" directories
# should be moved to the docdir?

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc README Changes TODO HACKING INSTALL
%{perl_vendorlib}
%{_mandir}/*/*
%{_datadir}/tt2
%{_bindir}/*

%changelog
* Thu Jul 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.14-3mdk 
- fix package name to be policy compliant
- drop tetex requires

* Thu Mar 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.14-2mdk
- Don't provide perl(CGI) and other perl modules already found otherwise

* Tue Nov 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.14-1mdk
- 2.14

* Mon Jul 26 2004 Stefan van der Eijk <stefan@mandrake.org> 2.13-1mdk
- 2.13

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.08-4mdk
- rebuild

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.08-3mdk
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>) 

* Tue Feb 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.08-2mdk
- removed buildrequires perl(XML::DOM), redundant with perl-libxml-enno

* Sun Sep 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.08-1mdk
- new version
- adjust requires and buildrequires
- misc spec file fixes

* Fri Jul 19 2002 Pixel <pixel@mandrakesoft.com> 2.07-1mdk
- new release
- rebuild for perl 5.8.0
- cleanup
- drop the patch (!?)

* Wed Apr 10 2002 Warly <warly@mandrakesoft.com> 2.06-1mdk
- mandrake packages

* Sat Nov 10 2001 Aleksey Nogin <ayn2@cornell.edu>
- initial package, adapted from perl-Digest-MD5

